# Project ECHO

Our vision is to give digital contents creator the ability to store their works in our SIX digital asset environment, which would be stored on the blockchain and to sell their works directly to consumers of the supply chain. With proof of ownership and proof of existence, such works could easily be tracked from the first hash and time-stamped since the beginning.

With the power of blockchain, content creators, publisher, and business aggregators would still be able to collaborate and receive a portion of revenue sharing from content creators through legally binding agreements on smart contracts. Legal teams would be the decentralized network of lawyers working on the permission-based trustless system for verifying intellectual property and digital copyright across multiple distributed ledgers, which could possibly be called the proof of agreement. Once the agreement is validated, the creator could attach it to their digital contents, which should then be sold directly to the consumers based on the smart-contract revenue sharing model.

To shape the better future for the industry, the SIX Echo team envisions the digital asset wallet as the direct connection to facilitate wallet-to-wallet decentralized between the creators and the consumers. There are several decentralized applications and services on the market today that can plug into and attach the smart contract onto their lanes to share incentives, and we realize that we cannot do all of this alone. Therefore, we plan to come up with house rules/standards and use or platform to engage other people(our partners and business alliances) to help us make a better future for the whole digital economy and the digital creative industries.


## Key messages

- ECHO will not store contents in blockchain but refer to the original sources by generates semantic metadata for the following contents types.
  - Text (Novel)
  - Sound
  - Photo
  - Video 
- Those contents store on multiple blockchains with initial interoperability by design.
- Along with multi-blockchain, ECHO using unique consensus method to synchronized indexing.
- ECHO creates an index of creative works allows a user to explore their rights.
- There is no effort to create a synchronization infrastructure. ECHO provides a SDK for a platform, like Ookbee, to install on their server. ECHO SDK will connect and store data to our consensus nodes.
- ECHO project is open sources under the terms of the Apache-2.0. This allows other developers to work with us by rewarding SIX tokens for contributors.
- ECHO using SIX as a fee to store and verifying creative works.
- From create and issue rights to the creator, ECHO will create send, receive and trade economy.

## Technology (developing)
- python 3.7

## Install
```bash
pip install sixecho
```
## Install manual
download this project and then cd sixecho, to use this command.
```bash
pip install .
```

# Documentation
this is a link. click [here](example/README.md)



## License

SIX Echo is released under the terms of the Apache-2.0. For more information [Apache-2.0](http://www.apache.org/licenses/LICENSE-2.0).



*For more information, as well as an immediately useable, kindly visit [SIX Network](https://six.network/).* 

